JsUnit

## Class JsUnitTestSuite

    Object
       |
       +--JsUnitTestSuite

class JsUnitTestSuite

A JsUnitTestSuite represents a suite of JsUnit Test Pages. Test Pages and Test Suites can be added to a JsUnitTestSuite
Defined in jsUnitCore.js

Field Summary
`Object` | `isJsUnitTestSuite` Declares that this object is a JsUnitTestSuite

Constructor Summary
`JsUnitTestSuite()`

Method Summary
`void` | `addTestPage(pageName)` Adds a Test Page to the suite
`void` | `addTestSuite(suite)` Adds a Test Suite to the suite
`Object` | `clone()` Produces a copy of the suite
`Object` | `containsTestPages()` Whether the suite contains any Test Pages
`Object` | `hasMorePages()` Whether the suite has more Test Pages
`Object` | `nextPage()` Moves the suite on to its next Test Page

Field Detail

### isJsUnitTestSuite

    Object isJsUnitTestSuite

Declares that this object is a JsUnitTestSuite

Constructor Detail

### JsUnitTestSuite

    JsUnitTestSuite()

Method Detail

### addTestPage

    void addTestPage(pageName)

Adds a Test Page to the suite

Parameters:

`pageName` - the path to the Test Page

### addTestSuite

    void addTestSuite(suite)

Adds a Test Suite to the suite

Parameters:

`suite` - another JsUnitTestSuite object

### clone

    Object clone()

Produces a copy of the suite

### containsTestPages

    Object containsTestPages()

Whether the suite contains any Test Pages

### hasMorePages

    Object hasMorePages()

Whether the suite has more Test Pages

### nextPage

    Object nextPage()

Moves the suite on to its next Test Page

JsUnit

www.jsunit.net
Documentation generated by JSDoc on Sun Sep 9 15:34:58 2007